package com.foreverwin.mesnac.production.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 产品条码保留记录
 * </p>
 *
 * @author Philip
 * @since 2021-08-19
 */

@TableName("Z_SFC_HOLD_LOG")

public class SfcHoldLog extends Model<SfcHoldLog> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 派工单主键
     */
   @TableField("SFC_DISPATCH_BO")
   private String sfcDispatchBo;
    /**
     * 产品条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 步骤
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 工序
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 保留时长
     */
   @TableField("HOLD_DURATION")
   private BigDecimal holdDuration;
    /**
     * 类型:暂停取消
     */
   @TableField("TYPE")
   private String type;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getSfcDispatchBo() {
      return sfcDispatchBo;
   }

   public void setSfcDispatchBo(String sfcDispatchBo) {
      this.sfcDispatchBo = sfcDispatchBo;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public BigDecimal getHoldDuration() {
      return holdDuration;
   }

   public void setHoldDuration(BigDecimal holdDuration) {
      this.holdDuration = holdDuration;
   }

   public String getType() {
      return type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String SFC_DISPATCH_BO = "SFC_DISPATCH_BO";

public static final String SFC = "SFC";

public static final String STEP_ID = "STEP_ID";

public static final String OPERATION = "OPERATION";

public static final String HOLD_DURATION = "HOLD_DURATION";

public static final String TYPE = "TYPE";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SfcHoldLog{" +
         "handle = " + handle +
         ", site = " + site +
         ", sfcDispatchBo = " + sfcDispatchBo +
         ", sfc = " + sfc +
         ", stepId = " + stepId +
         ", operation = " + operation +
         ", holdDuration = " + holdDuration +
         ", type = " + type +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         "}";
   }
}